'Created by: X
'Copyright: Created by: X
'E-Mail: mailto:createdbyx@yahoo.com
'Web: http://www.createdbyx.com/
'Date: March 27, 2004
'=============================================
Imports Microsoft
Imports Microsoft.DirectX
Imports Microsoft.DirectX.Direct3D.Cull
Imports Microsoft.DirectX.Direct3D.FillMode
Imports Microsoft.DirectX.Direct3D.ShadeMode
Imports CBX.Libs

''' <summary>
''' Provides a set of interfaces.
''' </summary>
Namespace Interfaces

    ''' <summary>
    ''' Defines an interface for material blending.
    ''' </summary>
    Public Interface IMaterialBlended
        ''' <summary>
        ''' Gets/Sets the number of blending stages.
        ''' </summary>
        ''' <returns>Returns the number of blending stages.</returns>
        ' Property StageCount() As Integer
        ''' <summary>
        ''' Gets/Sets the index of a texture at a specified stage.
        ''' </summary>
         ''' <returns>Returns the index of a texture at a specified stage.</returns>
        Property Texture() As Integer
        ''' <summary>
        ''' Gets/Sets the index of a texture blending TextureState type.
        ''' </summary>
        ''' <returns>Returns the index of a texture blending TextureState type.</returns>
        Function GetState() As Direct3D.TextureState
    End Interface
End Namespace